ingres_errsqlstate
ingres_fetch_object
Ingres II Functions
PHP Manual

# ingres_fetch_array

(PHP 4 >= 4.0.2, PHP 5 <= 5.0.5, PECL ingres:1.0-1.4.3)

ingres_fetch_array — Fetch a row of result into an array

### Description

array ingres_fetch_array ([ int `$result_type` [, resource `$link` ]] )

This function is an extended version of ingres_fetch_row(). In addition to storing the data in the numeric indices of the result array, it also stores the data in associative indices, using the field names as keys.

If two or more columns of the result have the same field names, the last column will take precedence. To access the other column(s) of the same name, you must use the numeric index of the column or make an alias for the column.

`<?php
ingres_query("select t1.f1 as foo t2.f1 as bar from t1, t2");
$result = ingres_fetch_array();
$foo = $result["foo"];
$bar = $result["bar"];
?>`

Speed-wise, the function is identical to ingres_fetch_object(), and almost as quick as ingres_fetch_row() (the difference is insignificant).

### Parameters

`result_type`

  `result_type` can be INGRES_NUM for enumerated array, INGRES_ASSOC for associative array, or INGRES_BOTH (default).

`link`

  The connection link identifier. If not specified, the last opened link is used.

### Return Values

Returns an array that corresponds to the fetched row, or `FALSE` if there are no more rows.

### Examples

Example #1 ingres_fetch_array() example

`<?php
ingres_connect($database, $user, $password);
ingres_query("select * from table");
while ($row = ingres_fetch_array()) {
echo $row["user_id"]; // using associative array
echo $row["fullname"];
echo $row[1]; // using enumerated array
echo $row[2];
}
?>`

### See Also

- ingres_query()
- ingres_num_fields()
- ingres_field_name()
- ingres_fetch_object()
- ingres_fetch_row()

ingres_errsqlstate
ingres_fetch_object
Ingres II Functions
PHP Manual